!!.. This module propagates wavefield for one block of frequency and one block of depth
module wei_propagation_kernel_mod

  complex, dimension(:,:), pointer, private :: wfld_slice
  real   , dimension(:,:), pointer, private :: vmod_slice
  real   , dimension(:)  , pointer, private :: vref_slice
contains

  integer function wei_propagation_kernel_init()
  end function

  integer function wei_propagation_kernel_oper()
    do izs=1, azs%n
       vmod_slice => vmod(:,:,izs)
       vref_slice => vref(:,izs)
       do iws=1, aws%n
          wfld_slice => wfld(:,:,iws)
          stat = wei_ssf_oper(T, +1, ws, vref_slice(1), vmod_slice, wfld_slice)
       end do
    end do
  end function
end module
